Page MenuHomePhabricator

How to volunteer editing server config and get a code change into Ops repos
Closed, ResolvedPublic

Description

This is a task for an informal workshop during the Wikimania 2017 Hackathon.

It will be about using Gerrit, git/git-review and demonstrate how you can clone Operations repositories, in particular the puppet and DNS repos, make changes and suggest them for code review.

It is to raise awareness that, besides page content, anyone can also help editing all the server config and how it's all out there in public.

https://wikimania2017.wikimedia.org/w/index.php?title=Hackathon/Program&oldid=prev&diff=38704&markasread=5705

It will happen in the Thursday breakout session, in Salon 7 (level 3), from 12:00 to 13:00.

This isn't a presentation type of event but more a hands-on lab/workshop where you are expected to work on your own laptop.

A small group setting is expected. It will not be on video.

Event Timeline

Dzahn created this task.Aug 7 2017, 6:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 7 2017, 6:16 PM
greg added a subscriber: greg.Aug 9 2017, 2:44 PM
Dzahn closed this task as Resolved.Aug 10 2017, 7:12 PM
Dzahn added subscribers: Freddy2001, HakanIST.

@HakanIST and @Freddy2001 joined the workshop and we talked about git-review and Gerrit.

They uploaded 2 test/example patch sets.